Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# Valuator Class Reference

List of all members.

## Public Member Functions
def | __init__
def | addPropertyToDialog
def | addValuatorMenuEntries
def | addValuatorPropertiesToDialog
def | createValuator
def | get
def | mouseReset
def | packValuator
def | reset
def | set
def | setEntry
def | setEntryFormat
def | setLabel
def | setState
def | validateEntryInput
def | zero
## Public Attributes
| adjustedValue
| entryFormat
| fInit
| propertyDict
| propertyList
## Static Public Attributes
int | deadband = 5
float | sfBase = 3.0
int | sfDist = 7

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

## Member Function Documentation

def addPropertyToDialog | ( |  | self,
|  |  | property,
|  |  | pDict
| ) |  |

def addValuatorMenuEntries | ( |  | self | ) |

    Function used by subclass to add menu entries to popup menu

def addValuatorPropertiesToDialog | ( |  | self | ) |

    Function used by subclass to add properties to property dialog

def createValuator | ( |  | self | ) |

    Function used by subclass to create valuator geometry

def get | ( |  | self | ) |

    Return current widget value

def mouseReset | ( |  | self,
|  |  | event
| ) |  |

    Reset valuator to resetValue

def packValuator | ( |  | self | ) |

    Function used by subclass to pack widget

def reset | ( |  | self | ) |

    self.reset()
    Reset valuator to reset value

def set | ( |  | self,
|  |  | value,
|  |  | fCommand = `1`
| ) |  |

    Update widget's value by setting valuator, which will in
    turn update the entry.  fCommand flag (which is passed to the
    valuator as commandData, which is then passed in turn to
    self.setEntry) controls command execution.

def setEntry | ( |  | self,
|  |  | value,
|  |  | fCommand = `1`
| ) |  |

    Update value displayed in entry, fCommand flag controls
    command execution

def setEntryFormat | ( |  | self | ) |

    Change the number of significant digits in entry

def setLabel | ( |  | self | ) |

    Update label's text

def setState | ( |  | self | ) |

    Enable/disable widget

def validateEntryInput | ( |  | self,
|  |  | event
| ) |  |

    Check validity of entry and if valid pass along to valuator

def zero | ( |  | self | ) |

    self.zero()
    Set valuator to zero

## Member Data Documentation

adjustedValue

int deadband = 5`[static]`

entryFormat

fInit

propertyDict

propertyList

float sfBase = 3.0`[static]`

int sfDist = 7`[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties